# CbcSolver3 Class Reference

This is to allow the user to replace initialSolve and resolve. More...

`#include <CbcSolver3.hpp>`

Inheritance diagram for CbcSolver3:
[legend]
Collaboration diagram for CbcSolver3:
[legend]

List of all members.

## Public Member Functions
Solve methods
virtual void | initialSolve ()
| Solve initial LP relaxation.
virtual void | resolve ()
| Resolve an LP relaxation after problem modification.
Constructors and destructors
| CbcSolver3 ()
| Default Constructor.
virtual OsiSolverInterface * | clone (bool CopyData=true) const
| Clone.
| CbcSolver3 (const CbcSolver3 &)
| Copy constructor.
CbcSolver3 & | operator= (const CbcSolver3 &rhs)
| Assignment operator.
virtual | ~CbcSolver3 ()
| Destructor.
Sets and Getss
void | initialize (CbcModel *model, const char *keep)
| Setup arrays - ones in keep will always be in.
const int * | when () const
| get which ones have been used
int | getMemory () const
| Get memory (i.e. how recent use should be).
int | getCount () const
| Get current count.
void | setMemory (int value)
| Set memory (i.e. how recent use should be).
void | setBelieveInfeasible (bool yesNo)
| Say whether to believe infeasible.
void | setAlgorithm (int value)
| Say whether to just count usage.
void | setNested (double value)
| Do nested search if this fraction fixed.
int | getAlgorithm () const
| Say whether to just count usage.
double | getNested () const
| Do nested search if this fraction fixed.
## Private Attributes
Private member data
double | nestedSearch_
| Do nested search if this fraction fixed.
int * | node_
| Node number when variable last in problem.
int * | howMany_
| How many times in problem.
CbcModel * | model_
| Pointer back to model.
int | count_
| Counter.
int | memory_
| How recently it must have been used.
bool | believeInfeasible_
| If infeasible on subset means infeasible.
bool | algorithm_
| If 0 nothing, 1 compress and fix, 2 long thin.

## Detailed Description

This is to allow the user to replace initialSolve and resolve.

Definition at line 19 of file CbcSolver3.hpp.

## Constructor & Destructor Documentation

CbcSolver3::CbcSolver3 | ( |  | ) |

Default Constructor.

CbcSolver3::CbcSolver3 | ( | const CbcSolver3 & |  | ) |

Copy constructor.

virtual CbcSolver3::~CbcSolver3 | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual void CbcSolver3::initialSolve | ( |  | ) | `[virtual]`

Solve initial LP relaxation.

Reimplemented from OsiClpSolverInterface.

virtual void CbcSolver3::resolve | ( |  | ) | `[virtual]`

Resolve an LP relaxation after problem modification.

Reimplemented from OsiClpSolverInterface.

virtual OsiSolverInterface* CbcSolver3::clone | ( | bool | CopyData = `true` | ) | const`[virtual]`

Clone.

Reimplemented from OsiClpSolverInterface.

CbcSolver3& CbcSolver3::operator= | ( | const CbcSolver3 & | rhs | ) |

Assignment operator.

Reimplemented from OsiClpSolverInterface.

void CbcSolver3::initialize | ( | CbcModel * | model,
|  | const char * | keep |
| ) |  |  |

Setup arrays - ones in keep will always be in.

const int* CbcSolver3::when | ( |  | ) | const`[inline]`

get which ones have been used

Definition at line 59 of file CbcSolver3.hpp.

int CbcSolver3::getMemory | ( |  | ) | const`[inline]`

Get memory (i.e. how recent use should be).

Definition at line 62 of file CbcSolver3.hpp.

int CbcSolver3::getCount | ( |  | ) | const`[inline]`

Get current count.

Definition at line 65 of file CbcSolver3.hpp.

void CbcSolver3::setMemory | ( | int | value | ) | `[inline]`

Set memory (i.e. how recent use should be).

Definition at line 68 of file CbcSolver3.hpp.

void CbcSolver3::setBelieveInfeasible | ( | bool | yesNo | ) | `[inline]`

Say whether to believe infeasible.

Definition at line 71 of file CbcSolver3.hpp.

void CbcSolver3::setAlgorithm | ( | int | value | ) | `[inline]`

Say whether to just count usage.

Definition at line 74 of file CbcSolver3.hpp.

void CbcSolver3::setNested | ( | double | value | ) | `[inline]`

Do nested search if this fraction fixed.

Definition at line 77 of file CbcSolver3.hpp.

int CbcSolver3::getAlgorithm | ( |  | ) | const`[inline]`

Say whether to just count usage.

Definition at line 80 of file CbcSolver3.hpp.

double CbcSolver3::getNested | ( |  | ) | const`[inline]`

Do nested search if this fraction fixed.

Definition at line 83 of file CbcSolver3.hpp.

## Member Data Documentation

double CbcSolver3::nestedSearch_`[private]`

Do nested search if this fraction fixed.

Definition at line 94 of file CbcSolver3.hpp.

int* CbcSolver3::node_`[private]`

Node number when variable last in problem.

Definition at line 96 of file CbcSolver3.hpp.

int* CbcSolver3::howMany_`[private]`

How many times in problem.

Definition at line 98 of file CbcSolver3.hpp.

CbcModel* CbcSolver3::model_`[private]`

Pointer back to model.

Definition at line 100 of file CbcSolver3.hpp.

int CbcSolver3::count_`[private]`

Counter.

Definition at line 102 of file CbcSolver3.hpp.

int CbcSolver3::memory_`[private]`

How recently it must have been used.

Definition at line 104 of file CbcSolver3.hpp.

bool CbcSolver3::believeInfeasible_`[private]`

If infeasible on subset means infeasible.

Definition at line 106 of file CbcSolver3.hpp.

bool CbcSolver3::algorithm_`[private]`

If 0 nothing, 1 compress and fix, 2 long thin.

Definition at line 108 of file CbcSolver3.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.7.8/Cbc/examples/CbcSolver3.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines